Rename Namespace
Rename an existing namespace. The 'default' namespace cannot be renamed.
Rename an existing namespace. The default namespace cannot be renamed.
Example Request
curl -X PUT "https://api.vidnavigator.com/v1/namespaces/64a1b2c3d4e5f6789abc0003" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Product Demos"
}'Success Response
{
"status": "success",
"message": "Namespace renamed successfully"
}API reference
ApiKeyAuthheader
X-API-Key<token>API key authentication. Include your VidNavigator API key in the X-API-Key header.
namespace_id*stringThe ID of the namespace to rename
application/json- body
name*stringNew name for the namespace
Namespace renamed successfully
application/json- response
status?"success"Value in
"success"message?stringcurl -X PUT 'https://api.vidnavigator.com/v1/namespaces/string' \ -H 'Content-Type: application/json' \ -d '{ "name": "Product Demos"}'Example Response
{ "status": "success", "message": "string"}